Subject: Re: [PATCH net-next v5 00/13] Introduce PHY listing and link_topology tracking

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 2 Jan 2024 11:57:09 +0000

... and I haven't reviewed this yet. I guess it's now pointless to
review.

On Mon, Jan 01, 2024 at 06:40:27PM +0000, [email-masked] wrote:
> Hello:
> 
> This series was applied to netdev/net-next.git (main)
> by David S. Miller <[email-masked]>:
> 
> On Thu, 21 Dec 2023 19:00:33 +0100 you wrote:
> > Hello everyone,
> > 
> > Here's a V5 of the multi-PHY support series.
> > 
> > At a glance, besides some minor fixes and R'd-by from Andrew, one of the
> > thing this series does is remove the ASSERT_RTNL() from the
> > topo_add_phy/del_phy operations.
> > 
> > [...]
> 
> Here is the summary with links:
>   - [net-next,v5,01/13] net: phy: Introduce ethernet link topology representation
>     https://git.kernel.org/netdev/net-next/c/02018c544ef1
>   - [net-next,v5,02/13] net: sfp: pass the phy_device when disconnecting an sfp module's PHY
>     https://git.kernel.org/netdev/net-next/c/9c5625f559ad
>   - [net-next,v5,03/13] net: phy: add helpers to handle sfp phy connect/disconnect
>     https://git.kernel.org/netdev/net-next/c/034fcc210349
>   - [net-next,v5,04/13] net: sfp: Add helper to return the SFP bus name
>     https://git.kernel.org/netdev/net-next/c/dedd702a3579
>   - [net-next,v5,05/13] net: ethtool: Allow passing a phy index for some commands
>     https://git.kernel.org/netdev/net-next/c/2ab0edb505fa
>   - [net-next,v5,06/13] netlink: specs: add phy-index as a header parameter
>     https://git.kernel.org/netdev/net-next/c/c29451aefcb4
>   - [net-next,v5,07/13] net: ethtool: Introduce a command to list PHYs on an interface
>     https://git.kernel.org/netdev/net-next/c/63d5eaf35ac3
>   - [net-next,v5,08/13] netlink: specs: add ethnl PHY_GET command set
>     https://git.kernel.org/netdev/net-next/c/95132a018f00
>   - [net-next,v5,09/13] net: ethtool: plca: Target the command to the requested PHY
>     https://git.kernel.org/netdev/net-next/c/7db69ec9cfb8
>   - [net-next,v5,10/13] net: ethtool: pse-pd: Target the command to the requested PHY
>     https://git.kernel.org/netdev/net-next/c/345237dbc1bd
>   - [net-next,v5,11/13] net: ethtool: cable-test: Target the command to the requested PHY
>     https://git.kernel.org/netdev/net-next/c/fcc4b105caa4
>   - [net-next,v5,12/13] net: ethtool: strset: Allow querying phy stats by index
>     https://git.kernel.org/netdev/net-next/c/d078d480639a
>   - [net-next,v5,13/13] Documentation: networking: document phy_link_topology
>     https://git.kernel.org/netdev/net-next/c/32bb4515e344
> 
> You are awesome, thank you!
> -- 
> Deet-doot-dot, I am a bot.
> https://korg.docs.kernel.org/patchwork/pwbot.html
> 
> 
> 

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!